Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.cinema.consensus
Class PercentageIDConsensusCalculatorMetaData

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.cinema.consensus.PercentageIDConsensusCalculatorMetaData

All Implemented Interfaces:
  CinemaConsensusCalculatorMetaData

Direct Known Subclasses:
  ThreadedPercentageIDConsensusCalculatorMetaData

public class PercentageIDConsensusCalculatorMetaData
extends Object
implements CinemaConsensusCalculatorMetaData

PercentageIDConsensusCalculatorMetaData.java Created: Thu Jul 27 16:46:59 2000

Version:
  $Id: PercentageIDConsensusCalculatorMetaData.java,v 1.6 2001/05/08 17:39:16 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`PercentageIDConsensusCalculatorMetaData()`

Method Summary
`protected ConsensusCalculator` | `getCalculatorInstance(SequenceAlignment alignment)`
`String` | `getConsensusCalculatorName()`
`ConsensusSequence` | `getInstance(SequenceAlignment alignment)`
`static PercentageIDConsensusCalculatorMetaData` | `getMetaDataInstance()`
`void` | `setModule(CinemaModule module)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PercentageIDConsensusCalculatorMetaData

    public PercentageIDConsensusCalculatorMetaData()

Method Detail

### getMetaDataInstance

    public static PercentageIDConsensusCalculatorMetaData getMetaDataInstance()

### getCalculatorInstance

    protected ConsensusCalculator getCalculatorInstance(SequenceAlignment alignment)

### setModule

    public void setModule(CinemaModule module)

  Specified by:
    `setModule` in interface `CinemaConsensusCalculatorMetaData`

### getInstance

    public ConsensusSequence getInstance(SequenceAlignment alignment)

  Specified by:
    `getInstance` in interface `CinemaConsensusCalculatorMetaData`

### getConsensusCalculatorName

    public String getConsensusCalculatorName()

  Specified by:
    `getConsensusCalculatorName` in interface `CinemaConsensusCalculatorMetaData`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD